﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Adf.Cs.Example
{
    /// <summary>
    /// 业务接口
    /// </summary>
    public interface ITest
    {
        /// <summary>
        /// 告知服务器客户端时间
        /// </summary>
        /// <param name="time"></param>
        /// <returns></returns>
        bool NotifyTime(DateTime time);

        /// <summary>
        /// 返回一个指定SIZE的数组
        /// </summary>
        /// <param name="size"></param>
        /// <returns></returns>
        int[] GetArray(int size);

        /// <summary>
        /// 获取一个分页数据，并指定pageindex,pagesize参数做为hash键
        /// </summary>
        /// <param name="pageindex"></param>
        /// <param name="pagesize"></param>
        /// <param name="totalcount"></param>
        /// <returns></returns>
        [ClientHashKey("pageindex", "pagesize")]
        int[] GetDatas(int pageindex,int pagesize, out int totalcount);
    }
}
