﻿using System;
using System.Collections.Generic;
using System.Text;

namespace Adf.Cs.ExampleServer
{
    /// <summary>
    /// 服务端示例
    /// </summary>
    public class TestServer : Adf.Cs.Example.ITest
    {
        //注意： 为了安全，用于CS的方法必需标记Command，不标记的为本地方法。 不标记的情况下客户端请求将会出现找不到命令的异常

        /// <summary>
        /// 告知我客户端时间
        /// </summary>
        /// <param name="time"></param>
        /// <returns></returns>
        public bool NotifyTime(DateTime time)
        {
            //收到时间了，返回 true
            return true;
        }

        /// <summary>
        /// 返回指定大小的一组数据
        /// </summary>
        /// <param name="size"></param>
        /// <returns></returns>
        public int[] GetArray(int size)
        {
            var rand = new Random();
            var result = new int[ size ];
            for (int i = 0; i < size; i++)
            {
                //随机生成一个数
                result[i] = rand.Next();
            }
            return result;
        }

        /// <summary>
        /// 返回一个分页数据
        /// </summary>
        /// <param name="pageindex"></param>
        /// <param name="pagesize"></param>
        /// <param name="totalcount"></param>
        /// <returns></returns>
        public int[] GetDatas(int pageindex, int pagesize, out int totalcount)
        {
            //因为是示例，此处业务不完整， 直接返回指定尺寸数据
            totalcount = int.MaxValue;
            return this.GetArray(pagesize);
        }
    }
}
